namespace Unibas.Questionari.Controllo {

using Unibas.Questionari.Modello;
using Unibas.Questionari.Persistenza;

public class Principale {

    public void Esegui() {
        Questionario questionario = null;
        Risposte risposte = new Risposte();
        ControlloSecondario controlloSecondario = new ControlloSecondario();
        bool continua = true;
        while (continua) {
            int scelta = SchermoMenuPrincipale();
            if (scelta == 0) {
                continua = false;
            } else if (scelta ==  1) {
                questionario = SchermoCaricaQuestionario();
            } else if (scelta == 2) {
                if (questionario == null) {
                    System.Console.WriteLine("Operazione non consentita. Caricare il questionario prima.");
                } else {
                    controlloSecondario.SchermoCompilaQuestionario(risposte, questionario);
                }
            } else if (scelta == 3) {
                controlloSecondario.SchermoValutaQuestionario(risposte, questionario);                
            } else if (scelta == 4) {
                System.Console.WriteLine("Funzione non implementata");
            } else if (scelta == 5) {
               SchermoSalvaRisposte(risposte);                
            } 
        }
    }
    
   private int SchermoMenuPrincipale() {
        int scelta;
        System.Console.WriteLine("---------------------------------------------");
        System.Console.WriteLine("          Questionari di Valutazione         ");
        System.Console.WriteLine("---------------------------------------------");
        System.Console.WriteLine();
        System.Console.WriteLine("   1. Carica questionario da file");
        System.Console.WriteLine("   2. Compila questionario");
        System.Console.WriteLine("   3. Visualizza valutazione questionario");
        System.Console.WriteLine("   4. Carica risposte da file - non implementata");
        System.Console.WriteLine("   5. Salva risposte su disco");
        System.Console.WriteLine();
        System.Console.WriteLine("   0. Esci");
        System.Console.WriteLine();
        System.Console.Write("   Scelta ----> ");
        scelta = Unibas.Utilita.Console.LeggiIntero();
        while ((scelta < 0) || (scelta > 5)) {
            System.Console.Write("   Errore. Ripeti ----> ");
            scelta = Unibas.Utilita.Console.LeggiIntero();
        }
        return scelta;
    }
        
    private Questionario SchermoCaricaQuestionario() {
        System.Console.WriteLine("------------------------------------");
        System.Console.WriteLine("       Caricamento Questionario");
        System.Console.WriteLine("------------------------------------");
        System.Console.Write("Inserisci il nome del file --> ");
        string nomeFile = Unibas.Utilita.Console.LeggiStringa();
        Questionario questionario = null;
        try {
            questionario = DAOQuestionario.CaricaQuestionario(nomeFile);
            System.Console.WriteLine(" -- Caricamento effettuato -- ");
        } catch (DAOException pe) {
            System.Console.WriteLine("ERRORE: " + pe);
        }
        return questionario;
    }

   private void SchermoSalvaRisposte(Risposte risposte) {
        System.Console.WriteLine("------------------------------------");
        System.Console.WriteLine("       Salvataggio Risposte");
        System.Console.WriteLine("------------------------------------");
        System.Console.Write("Inserisci il nome del file --> ");
        string nomeFile = Unibas.Utilita.Console.LeggiStringa();
        try {
            DAORisposte.SalvaRisposte(risposte, nomeFile);
            System.Console.WriteLine(" -- Salvataggio effettuato -- ");
        } catch (DAOException pe) {
            System.Console.WriteLine("ERRORE: " + pe);
        }
    }
    
    public static void Main(string[] args) {
        Principale p = new Principale();
        p.Esegui();
    }
	
}
	
}
