namespace Unibas.Questionari.Modello {
	
public class Quesito {
    
    private string id;
    private string idArgomento;
    private string idDifficolta;
    private string soluzione;
    private string domanda;
    private System.Collections.IList listaRisposte = new System.Collections.ArrayList();
    
    public string Id {
    	get {
	        return this.id;
    	}
    	set {
    		this.id = value;
    	}
    }
    
    public string IdArgomento {
    	get {
	        return this.idArgomento;
    	}
    	set {
    		this.idArgomento = value;
    	}
    }
        
    public string Soluzione {
    	get {
	        return this.soluzione;
    	}
    	set {
    		this.soluzione = value;
    	}
    }
        
    public string IdDifficolta {
    	get {
	        return this.idDifficolta;
    	}
    	set {
    		this.idDifficolta = value;
    	}
    }
    
    public string Domanda {
    	get {
	        return this.domanda;
    	}
    	set {
    		this.domanda = value;
    	}
    }
    
    public int NumeroRisposte {
    	get {
	        return this.listaRisposte.Count;
    	}
    }
    
    public string GetRisposta(int i) {
        if (i >= listaRisposte.Count) {
   	        throw new System.IndexOutOfRangeException("Risposta inesistente");
       	} 
   		return (string)listaRisposte[i];
    }
    
    public void AddRisposta(string risposta) {
        this.listaRisposte.Add(risposta);
    }
           
    public override string ToString() {
        System.Text.StringBuilder stringa = new System.Text.StringBuilder();
        stringa.Append(this.Domanda + "\n");
        stringa.Append("Difficolta: " + this.IdDifficolta + "\n");
        for (int i = 0; i < this.NumeroRisposte; i++) {
            string lettera = "" + (char)(i + 97);
            stringa.Append(lettera + ": " + this.GetRisposta(i) + "\n");
        }
        return stringa.ToString();
    }
        
    public string ToShortString() {
        return "--id: " + id + "--sol: " + Soluzione + "--diff: " + IdDifficolta +
        "--arg: " + IdArgomento;
    }

}

}
