namespace Unibas.Questionari.Modello {

public class Questionario {
    
    private string id;
    private string disciplina;
    private System.Collections.Hashtable mappaArgomenti = new System.Collections.Hashtable();
    private System.Collections.Hashtable mappaDifficolta = new System.Collections.Hashtable();
    private System.Collections.IList listaQuesiti = new System.Collections.ArrayList();
    
    public string Id {
    	get {
	        return this.id;
    	}
    	set {
    		this.id = value;
    	}
    }
    
    public string Disciplina {
    	get {
	        return this.disciplina;
    	}
    	set {
    		this.disciplina = value;
    	}
    }    
    
    public int NumeroArgomenti {
    	get {
	        return mappaArgomenti.Count;
    	}
    }
    
    public Argomento GetArgomento(string id) {
    	return (Argomento)mappaArgomenti[id];
    }
    
    public void AddArgomento(Argomento argomento) {
        mappaArgomenti[argomento.Id] =  argomento;
    }
    
    public void RemoveArgomento(string idArgomento) {
        mappaArgomenti.Remove(idArgomento);
    }
    
    public int NumeroDifficolta {
    	get {
	        return mappaDifficolta.Count;
    	}
    }
    
    public Difficolta GetDifficolta(string id) {
    	return (Difficolta)mappaDifficolta[id];
    }
    
    public void RemoveDifficolta(string idDifficolta) {
        mappaDifficolta.Remove(idDifficolta);
    }
    
    public void AddDifficolta(Difficolta difficolta) {
        mappaDifficolta[difficolta.Id] = difficolta;
    }
    
    public int NumeroQuesiti {
    	get {
	        return listaQuesiti.Count;
    	}
    }
    
    public Quesito GetQuesito(int i) {
        System.Diagnostics.Debug.Assert(i >= 0 && i < this.NumeroQuesiti, "Quesito inesistente: " + i);
   		return (Quesito)listaQuesiti[i];
    }
    
    public void AddQuesito(Quesito quesito) {
        listaQuesiti.Add(quesito);
    }
                    
}

}
