namespace Unibas.Questionari.Modello {

public class Risposte {

    private string idQuestionario = "";
    private System.Collections.ArrayList listaRisposte = new System.Collections.ArrayList();
    
    public string IdQuestionario {
    	get {
	        return this.idQuestionario;
    	}
        set {
            this.idQuestionario = value;
        }
    }
    
    public void AddRisposta(string risposta) {
        this.listaRisposte.Add(risposta);
    }
    
    public string this[int i] {
    	get {
            System.Diagnostics.Debug.Assert(i >= 0 && i < this.NumeroRisposte, "Posizione inesistente: " + i);
    		string risposta = (string)listaRisposte[i];
    		if (risposta != null) {
    	        return risposta;
        	} else {
            	return "";
        	}
    	}
        set {
            System.Diagnostics.Debug.Assert(i >= 0 && i < this.NumeroRisposte, "Posizione inesistente: " + i);
    		listaRisposte[i] = value;
        }
    }
    
    public int NumeroRisposte {
    	get {
	        return this.listaRisposte.Count;
    	}
    }    

    public override string ToString() {
        System.Text.StringBuilder stringa = new System.Text.StringBuilder();
        stringa.Append("--------------------------------------\n");
        stringa.Append("         Risposte fornite             \n");
        stringa.Append("--------------------------------------\n");
        for (int i = 0; i < this.NumeroRisposte; i++) {
            stringa.Append("Domanda n. " + i + " - ");
            stringa.Append("Risposta data:  " + this[i] + "\n");
        }        
        return stringa.ToString();
    }
    
}

}
