namespace Unibas.Questionari.Persistenza {

using Unibas.Questionari.Modello;

public class DAOUtilita {
    
    private const string PERCORSODTD = "..\\varie\\";
    private const string NOMEDTD = "risposte.dtd";

    public static void CopiaDTD(string percorso) {
        try {
            string fileDTDOriginale = PERCORSODTD + NOMEDTD;
            string nuovoFileDTD = percorso + NOMEDTD;
            System.IO.File.Copy(fileDTDOriginale, nuovoFileDTD, true);
        } catch (System.IO.IOException ioe) {
            throw new DAOException("\n--------------------------------------\n"
                                 + "ATTENZIONE: verificare il percorso relativo al file\n" 
                                 + "risposte.dtd nel file DAOUtilita.java\n" 
                                 + "----------------------------------------\n" + ioe);
        }
    }
    
    public static string EstraiPercorso(string nomeFile) {
        string percorsoCompleto = System.IO.Path.GetFullPath(nomeFile);
        int ultimaPosizioneSeparatore = percorsoCompleto.LastIndexOf("\\");
        string percorso = percorsoCompleto.Substring(0, ultimaPosizioneSeparatore + 1);
        return percorso;
    }

}
    
}
