namespace Unibas.Questionari.Test {

using NUnit.Framework;	
using Unibas.Questionari.Modello;
using Unibas.Questionari.Persistenza;
	
[TestFixture]
public class TestQuestionario {
    
    private Questionario questionario1;
    private Questionario questionario2;
    
    [SetUp]
    protected void SetUp() {
        questionario1 = Utilita.CreaQuestionario1();
        questionario2 = Utilita.CreaQuestionario2();
        System.Diagnostics.DefaultTraceListener listener 
            = (System.Diagnostics.DefaultTraceListener)System.Diagnostics.Debug.Listeners[0];
        listener.AssertUiEnabled = false;
    }
     
    [Test]
    public void TestQuestionario1() {
        Assert.IsTrue(questionario1.NumeroArgomenti == 2, "n. argomenti");
        Assert.IsTrue(questionario1.NumeroDifficolta == 3, "n. difficolta");
        Assert.IsTrue(questionario1.NumeroQuesiti == 5, "n. quesiti");
    }

    [Test]
    public void TestQuestionario2() {
        Assert.IsTrue(questionario2.NumeroArgomenti == 1, "n. argomenti");
        Assert.IsTrue(questionario2.NumeroDifficolta == 2, "n. difficolta");
        Assert.IsTrue(questionario2.NumeroQuesiti == 1, "n. quesiti");
    }

    [Test]
    public void TestGetQuesito1() {
        Quesito quesito = questionario1.GetQuesito(0);
        Assert.IsTrue(quesito.Id.Equals("cap01"), "quesito 0");
        quesito = questionario1.GetQuesito(1);
        Assert.IsTrue(quesito.Id.Equals("cap02"), "quesito 1");
        quesito = questionario1.GetQuesito(2);
        Assert.IsTrue(quesito.Id.Equals("cap03"), "quesito 2");
        quesito = questionario1.GetQuesito(3);
        Assert.IsTrue(quesito.Id.Equals("naz01"), "quesito 3");
        quesito = questionario1.GetQuesito(4);
        Assert.IsTrue(quesito.Id.Equals("naz02"), "quesito 4");
    }

    [Test]
    public void TestGetQuesito2() {
        try {
            Quesito quesito = questionario1.GetQuesito(5);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "eccezione");
        }
    }

    [Test]
    public void TestGetQuesito3() {
        Quesito quesito = questionario2.GetQuesito(0);
        Assert.IsTrue(quesito.Id.Equals("cap01"), "quesito 0");
    }

    [Test]
    public void TestGetQuesito4() {
        try {
            Quesito quesito = questionario2.GetQuesito(1);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "eccezione");
        }
    }
}

}
