namespace Unibas.Questionari.Test {

using NUnit.Framework;	
using Unibas.Questionari.Modello;
	
[TestFixture]
public class TestValutatore {

    private Valutatore valutatore1;
    private Valutatore valutatore2;
    
    [SetUp]
    public void SetUp() {
        Questionario questionario1 = Utilita.CreaQuestionario1();
        Questionario questionario2 = Utilita.CreaQuestionario2();
        Risposte risposte1 = Utilita.CreaRisposte1();
        Risposte risposte2 = Utilita.CreaRisposte2();        
        valutatore1 = new Valutatore(questionario1, risposte1);
        valutatore2 = new Valutatore(questionario2, risposte2);
    }

    [Test]
    public void testValutatore1() {
        Assert.IsTrue(valutatore1.NumeroRisposte == 5, "numero risposte");
        Assert.IsTrue(valutatore1.GetRisposta(0).Equals("a"), "risposta 0");
        Assert.IsTrue(valutatore1.GetSoluzione(0).Equals("a"), "soluzione 0");
        Assert.IsTrue(valutatore1.IsEsatta(0), "isEsatta 0");
        Assert.IsTrue(!valutatore1.IsNonData(0), "isNonData 0");
        Assert.IsTrue(valutatore1.GetRisposta(3).Equals(""), "risposta 3");
        Assert.IsTrue(valutatore1.GetSoluzione(3).Equals("c"), "soluzione 3");
        Assert.IsTrue(!valutatore1.IsEsatta(3), "isEsatta 3");
        Assert.IsTrue(valutatore1.IsNonData(3), "isNonData 3");
        Assert.IsTrue(valutatore1.NumeroRisposteEsatte == 3, "risposte esatte");
        Assert.IsTrue(valutatore1.NumeroRisposteNonDate == 1, "risposte non date");
        try {
            valutatore1.GetRisposta(5);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "risposta 5");
        }
    }
    
    [Test]
    public void Testvalutatore2() {
        Assert.IsTrue(valutatore2.NumeroRisposte == 1, "numero risposte");
        Assert.IsTrue(valutatore2.GetRisposta(0).Equals("d"), "risposta 0");
        Assert.IsTrue(valutatore2.GetSoluzione(0).Equals("a"), "soluzione 0");
        Assert.IsTrue(!valutatore2.IsEsatta(0), "isEsatta 0");
        Assert.IsTrue(!valutatore2.IsNonData(0), "isNonData 0");
        Assert.IsTrue(valutatore2.NumeroRisposteEsatte == 0, "risposte esatte");
        Assert.IsTrue(valutatore2.NumeroRisposteNonDate == 0, "risposte non date");
        try {
            valutatore2.GetRisposta(1);
            Assert.Fail();
        } catch (System.Exception e) {
            Assert.IsTrue(e != null, "risposta 1");
        }
    }

}

}
