namespace Unibas.Questionari.Test {

using Unibas.Questionari.Modello;
    
public class Utilita {
    
    internal static string percorso = ".\\dati\\";
    internal static string percorso2 = "e:\\tmp\\";
    internal static string nomeFile1 = percorso + "Questionario-test-q1.xml";
    internal static string nomeFile2 = percorso + "Questionario-test-q4.xml";
    internal static string nomeFile3 = percorso + "Questionario-test-err.xml";
    internal static string nomeFile4 = percorso + "Questionario-test-q9.xml";
    internal static string nomeFileR1 = percorso + "risposte1.xml";
    internal static string nomeFileR2 = percorso + "risposte2.xml";

    public static Questionario CreaQuestionario1() {
        Questionario questionario = new Questionario();
        questionario.Id = "test";
        questionario.Disciplina = "test";        
        Difficolta difficolta0 = new Difficolta();
        difficolta0.Id = "d0";
        Difficolta difficolta1 = new Difficolta();
        difficolta1.Id = "d1";
        Difficolta difficolta2 = new Difficolta();
        difficolta2.Id = "d2";
        questionario.AddDifficolta(difficolta0);
        questionario.AddDifficolta(difficolta1);
        questionario.AddDifficolta(difficolta2);
        Argomento argomentoCap = new Argomento();
        argomentoCap.Id = "cap";
        Argomento argomentoNaz = new Argomento();
        argomentoNaz.Id = "naz";
        questionario.AddArgomento(argomentoCap);
        questionario.AddArgomento(argomentoNaz);
        Quesito quesito;
        quesito = CreaQuesito("cap01", "cap", "d0", "Domanda n. 1", "a");
        questionario.AddQuesito(quesito);
        quesito = CreaQuesito("cap02", "cap", "d1", "Domanda n. 2", "b");
        questionario.AddQuesito(quesito);
        quesito = CreaQuesito("cap03", "cap", "d2", "Domanda n. 3", "c");
        questionario.AddQuesito(quesito);
        quesito = CreaQuesito("naz01", "naz", "d1", "Domanda n. 4", "c");
        questionario.AddQuesito(quesito);
        quesito = CreaQuesito("naz02", "naz", "d0", "Domanda n. 5", "c");
        questionario.AddQuesito(quesito);
        return questionario;
    }

    public static Questionario CreaQuestionario2() {
        Questionario questionario = new Questionario();
        questionario.Id = "test";
        questionario.Disciplina = "test";        
        Difficolta difficolta0 = new Difficolta();
        difficolta0.Id = "d0";
        Difficolta difficolta1 = new Difficolta();
        difficolta1.Id = "d1";
        questionario.AddDifficolta(difficolta0);
        questionario.AddDifficolta(difficolta1);
        Argomento argomentoCap = new Argomento();
        argomentoCap.Id = "cap";
        questionario.AddArgomento(argomentoCap);
        Quesito quesito;
        quesito = CreaQuesito("cap01", "cap", "d0", "Domanda n. 1", "a");
        questionario.AddQuesito(quesito);
        return questionario;
    }

    public static Risposte CreaRisposte1() {
        Questionario questionario1 = CreaQuestionario1();
        Risposte risposte1 = new Risposte();
        risposte1.AddRisposta("a");
        risposte1.AddRisposta("b");
        risposte1.AddRisposta("c");
        risposte1.AddRisposta(null);
        risposte1.AddRisposta("e");
        return risposte1;
    }
    
    public static Risposte CreaRisposte2() {
        Questionario questionario2 = CreaQuestionario2();
        Risposte risposte2 = new Risposte();
        risposte2.AddRisposta("d");
        return risposte2;
    }

    private static Quesito CreaQuesito(string codiceQuesito, 
                            string codiceArgomento, 
                            string codiceDifficolta,
                            string domanda,
                            string soluzione) {
        Quesito quesito = new Quesito();
        quesito.Id = codiceQuesito;
        quesito.IdDifficolta = codiceDifficolta;
        quesito.IdArgomento = codiceArgomento;
        quesito.Domanda = domanda;
        quesito.Soluzione = soluzione;
        quesito.AddRisposta("risposta a");
        quesito.AddRisposta("risposta b");
        quesito.AddRisposta("risposta c");    
        return quesito;
    }

}
    
}
